diff a/src/hotspot/share/gc/z/zBarrier.hpp b/src/hotspot/share/gc/z/zBarrier.hpp
--- a/src/hotspot/share/gc/z/zBarrier.hpp
+++ b/src/hotspot/share/gc/z/zBarrier.hpp
@@ -25,10 +25,11 @@
 #define SHARE_GC_Z_ZBARRIER_HPP
 
 #include "gc/z/zAddress.hpp"
 #include "memory/allStatic.hpp"
 #include "memory/iterator.hpp"
+#include "oops/inlineKlass.hpp"
 
 // == Shift based load barrier ==
 //
 // The load barriers of ZGC check if a loaded value is safe to expose or not, and
 // then shifts the pointer to remove metadata bits, such that it points to mapped
